org.apache.lucene.util.compress

## Class LowercaseAsciiCompression

- java.lang.Object
- - org.apache.lucene.util.compress.LowercaseAsciiCompression

    public final class LowercaseAsciiCompression
    extends Object

Utility class that can efficiently compress arrays that mostly contain characters in the [0x1F,0x3F) or [0x5F,0x7F) ranges, which notably include all digits, lowercase characters, '.', '-' and '_'.

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `compress(byte[] in, int len, byte[] tmp, DataOutput out)` Compress `in[0:len]` into `out`.
`static void` `decompress(DataInput in, byte[] out, int len)` Decompress data that has been compressed with `compress(byte[], int, byte[], DataOutput)`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### compress

    public static boolean compress(byte[] in,
                                   int len,
                                   byte[] tmp,
                                   DataOutput out)
                            throws IOException

Compress `in[0:len]` into `out`. This returns `false` if the content cannot be compressed. The number of bytes written is guaranteed to be less than `len` otherwise.

Throws:
  `IOException`

#### decompress

    public static void decompress(DataInput in,
                                  byte[] out,
                                  int len)
                           throws IOException

Decompress data that has been compressed with `compress(byte[], int, byte[], DataOutput)`. `len` must be the original length, not the compressed length.

Throws:
  `IOException`